Bug 216535 - Review Request: mp3gain - Lossless MP3 volume adjustment tool
Summary: Review Request: mp3gain - Lossless MP3 volume adjustment tool
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-20 23:05 UTC by Brian Pepple
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-25 00:01:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Pepple 2006-11-20 23:05:13 UTC
Spec URL: http://piedmont.homelinux.org/fedora/mp3gain/mp3gain.spec
SRPM URL: http://piedmont.homelinux.org/fedora/mp3gain/mp3gain-1.4.6-1.src.rpm
Description: MP3Gain analyzes and adjusts mp3 files so that they have the same
volume. It does not just do peak normalization, as many normalizers
do. Instead, it does some statistical analysis to determine how loud
the file actually sounds to the human ear. Also, the changes MP3Gain
makes are completely lossless. There is no quality lost in the change
because the program adjusts the mp3 file directly, without decoding
and re-encoding.

Comment 1 Rex Dieter 2006-11-21 01:07:26 UTC
Trying to fetch Spec URL:
Firefox can't establish a connection to the server at piedmont.homelinux.org.

Comment 2 Brian Pepple 2006-11-21 01:13:48 UTC
Should be up right now.  My router has been acting up for the last hour or so.

Comment 3 Parag AN(पराग) 2006-11-21 04:39:47 UTC
Still problem to download SRPM

Comment 4 Brian Pepple 2006-11-21 04:57:50 UTC
Should be alright now.  (Crosses fingers, and hopes stupid router doesn't act up
again)

Comment 5 Parag AN(पराग) 2006-11-21 06:00:51 UTC
mock build is successfull but got rpmlint warning on binary rpm as
W: mp3gain wrong-file-end-of-line-encoding /usr/share/doc/mp3gain-1.4.6/lgpl.txt


Comment 6 Brian Pepple 2006-11-21 06:11:50 UTC
In my opinon that error can probably be ignored.

Comment 7 Mamoru TASAKA 2006-11-21 09:38:56 UTC
Is this package acceptable legally in Fedora Extras?

I have not looked into this package and the first message
says 'without decoding and re-encoding', so this may be
acceptable. However, according to 

http://fedoraproject.org/wiki/Multimedia/MP3

it says that 'Fedora is unable to include support for the MP3'.
So how do I think of this package?

Comment 8 Jeffrey C. Ollie 2006-11-21 13:26:57 UTC
(In reply to comment #6)
> In my opinon that error can probably be ignored.

Yes, but since it's so easy to fix in %prep with a little sed magic:

%{__sed} -i 's/\r//' lgpl.txt

Comment 9 Brian Pepple 2006-11-21 15:48:57 UTC
(In reply to comment #7)
> Is this package acceptable legally in Fedora Extras?

I believe it should be ok, since it doesn't decode or re-encode.  Fedora
includes packages (id3lib, python-eyed3, etc) that modify tags within mp3, which
isn't terribly different from what this package does.  I also looked at other
distros (Ubuntu, Debian, gentoo), and they include it.  I've been unable to find
anything that states that mp3gain has any patent issues.


Comment 10 Ville Skyttä 2006-11-21 16:20:28 UTC
Just a note: don't make any acceptability conclusions based on something being
included in other distros, the policies are different.  For example, all the
mentioned distros (and Mandriva) include support for actual MP3 decoding via
libmad and a bunch of other things that are a no go for Fedora within the
current policies.

Comment 11 Parag AN(पराग) 2006-11-22 05:27:57 UTC
I suggest you better discuss on fedora-extras mailing list. 

Comment 12 Parag AN(पराग) 2006-11-23 17:35:24 UTC
Ok will take this for review

Comment 13 Parag AN(पराग) 2006-11-24 04:26:16 UTC
err but did you dicuss this package inclusion on Fedora-extras list?

Comment 14 Mamoru TASAKA 2006-11-24 04:35:04 UTC
(In reply to comment #11)
> I suggest you better discuss on fedora-extras mailing list. 
Another idea is marking this bug as blocking FE-Legal (bug 182235)
and asking Tom "spot" Callaway about this.

Comment 15 Michael Schwendt 2006-11-24 22:37:20 UTC
> I believe it should be ok, since it doesn't decode or re-encode. 

Hmm, the contents of ./mpglibDBL contradict. It is a modified
mpg123 decoder library that is included and used.


Note You need to log in before you can comment on or make changes to this bug.